#include <tk/tkernel.h>
#include <tm/tmonitor.h>

#include "app.h"

/* usermain関数 */
EXPORT INT usermain(void)
{
	ID dd_i2c;	// I2Cデバイス・ディスクリプタ

	tm_putstring((UB*)"Start User-main program.\n");

	dd_i2c = tk_opn_dev((UB*)"hiica", TD_UPDATE);	// I2Cデバイスのオープン

	/* センサー制御タスクの生成と実行 */
	tskid_sns = tk_cre_tsk(&ctsk_sns);	// センサー制御タスクの生成
	tk_sta_tsk(tskid_sns, (INT)dd_i2c);	// センサー制御タスクの実行

	/* ディスプレイ制御タスクの生成と実行 */
	tskid_dsp = tk_cre_tsk(&ctsk_dsp);	// ディスプレイ制御タスクの生成
	tk_sta_tsk(tskid_dsp, (INT)dd_i2c);	// ディスプレイ制御タスクの実行

	/* A/Dコンバータ制御タスクの生成と実行 */
	tskid_adc = tk_cre_tsk(&ctsk_adc);	// A/Dコンバータ制御タスクの生成
	tk_sta_tsk(tskid_adc, 0);	// A/Dコンバータ制御タスクの実行

	tk_slp_tsk(TMO_FEVR);			// ④ 初期タスクを待ち状態にする
	return 0;	// ここは実行されない
}
